package com.yiqi.order.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.app.domain.vo.AppUserInfoVO;
import com.yiqi.common.annotation.Excel;
import com.yiqi.order.domain.OrderCloth;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单打印VO
 *
 * @author weiximei
 * @date 2020-05-06
 */
@Data
public class OrderClothPrintVO extends OrderCloth {

    @ApiModelProperty("客户信息")
    private AppUserInfoVO appUserInfoVO;

    @ApiModelProperty("会员支付前剩余余额")
    private BigDecimal memberBeforeBalance;

    @ApiModelProperty("会员变动金额")
    private BigDecimal memberChangeAmount;

    @ApiModelProperty("会员支付后剩余余额")
    private BigDecimal memberAfterBalance;

    @ApiModelProperty("订单明细")
    private List<OrderClothItemVO> orderClothItemVOS;

}
