package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysDataGroupInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 组合数据详情Mapper接口
 *
 * @author douya
 * @date 2024-10-29
 */
public interface SysDataGroupInfoMapper extends BaseMapper<SysDataGroupInfo> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询组合数据详情
     *
     * @param id 组合数据详情主键
     * @return 组合数据详情
     */
    public SysDataGroupInfo selectSysDataGroupInfoById(Integer id);

    /**
     * 查询组合数据详情列表
     *
     * @param sysDataGroupInfo 组合数据详情
     * @return 组合数据详情集合
     */
    public List<SysDataGroupInfo> selectSysDataGroupInfoList(SysDataGroupInfo sysDataGroupInfo);

    /**
     * 新增组合数据详情
     *
     * @param sysDataGroupInfo 组合数据详情
     * @return 结果
     */
    public int insertSysDataGroupInfo(SysDataGroupInfo sysDataGroupInfo);

    /**
     * 修改组合数据详情
     *
     * @param sysDataGroupInfo 组合数据详情
     * @return 结果
     */
    public int updateSysDataGroupInfo(SysDataGroupInfo sysDataGroupInfo);

    /**
     * 删除组合数据详情
     *
     * @param id 组合数据详情主键
     * @return 结果
     */
    public int deleteSysDataGroupInfoById(Integer id);

    /**
     * 批量删除组合数据详情
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysDataGroupInfoByIds(Integer[] ids);

    /**
     * 查询组合数据详情列表
     *
     * @param gid 组合id
     * @param status 状态
     * @return 结果
     */
    List<SysDataGroupInfo> getDataList(@Param("gid") Integer gid, @Param("status") Integer status);
}
